Switching

Expand all | Collapse all

Upgrade EX4200 version 11.4R75 to 15.1R5

Jump to Best Answer
  • 1.  Upgrade EX4200 version 11.4R75 to 15.1R5

    Posted 04-26-2017 14:11

    Good afternoon,

     

    I was looking to see what the upgrade path is from 11.4 to 15.1.  I know I will have to get a version of 12 and 14 but trying to minimize how many.  Also, I noticed on the site it says, 

     

    "Junos Software Releases: 10.4R3, 11.1R1, and later releases Platforms: EX-series Switches Requirement: New jloader software package is required when upgrading to Junos Software Release 10.4R3 and later. If you are upgrading from Release 10.4R2 or earlier, to 10.4R3 or later, you must download and install a new platform specific jloader firmware package as described in TSB15524."

     

     

    Going by that I also need a new jloader.  I downloaded jloader-ex-3242-12.1R3-signed  Will I need to install this jloader only one time for the first upgrade?  I haven't been able to find documentation on how to install the jloader.  I know how to install the new version though.



  • 2.  RE: Upgrade EX4200 version 11.4R75 to 15.1R5
    Best Answer

    Posted 04-26-2017 21:38

    HI Sir

    Jloader Upgrade is same as Junos upgrade. 

    root> request system software add Jloader-ex-2200-11.3I20110326_0802_hmerge-signed.tgz

     

    Path to go from 11.4 to 15.1 is as you mentioned we have to get a version of 12 and then to 14.

     

    Release Notes : https://www.juniper.net/techpubs/en_US/junos/information-products/topic-collections/release-notes/15.1/junos-release-notes-15.1.pdf

     

    Upgrade and Downgrade Support Policy for Junos OS Releases Support for upgrades and downgrades that span more than three Junos OS releases at a time is not provided, except for releases that are designated as Extended End-of-Life (EEOL) releases. EEOL releases provide direct upgrade and downgrade paths—you can upgrade directly from one EEOL release to the next EEOL release, even though EEOL releases generally occur in increments beyond three releases.
    You can upgrade or downgrade to the EEOL release that occurs directly before or after the currently installed EEOL release, or to two EEOL releases before or after. For example,Junos OS Releases 10.0, 10.4, and 11.4 are EEOL releases. You can upgrade from Junos OS Release 10.0 to Release 10.4 or even from Junos OS Release 10.0 to Release 11.4. However, you cannot upgrade directly from a non-EEOL release that is more than three releases ahead or behind. For example, you cannot directly upgrade from Junos OS Release 10.3 (a non-EEOL release) to Junos OS Release 11.4 or directly downgrade from Junos OS Release 11.4 to Junos OS Release 10.3.


    To upgrade or downgrade from a non-EEOL release to a release more than three releases earlier or later, first upgrade to the next EEOL release and then upgrade or downgrade from that EEOL release to your target release. 

     

    For more information about EEOL releases and to review a list of EEOL releases, see 

     

    http://www.juniper.net/support/eol/junos.html.


    Thanks
    Partha



  • 3.  RE: Upgrade EX4200 version 11.4R75 to 15.1R5

    Posted 05-01-2017 09:45

    Awesome.  Thank you so much for your extremely fast response!  



  • 4.  RE: Upgrade EX4200 version 11.4R75 to 15.1R5

    Posted 05-01-2017 11:17
    Hi

    You can follow this path (tested on ex2200 series)
    11.4 >> 12.3R12 >> 15.1 (no need for 14)


  • 5.  RE: Upgrade EX4200 version 11.4R75 to 15.1R5

    Posted 06-26-2018 07:46
    Which 15.1? I am at 12.3R12 and unable to even go to 14. I had assumed this was since 13 is missing.


  • 6.  RE: Upgrade EX4200 version 11.4R75 to 15.1R5

    Posted 06-26-2018 07:57
    For reference I am upgrading from J-Web.
    I have tried the following all from 12.3R12.
    14.1X53-D10 and D47 - left with Juno’s Loading - had to rollback
    15.1R1 and R7 - failed in the same way.


  • 7.  RE: Upgrade EX4200 version 11.4R75 to 15.1R5

     
    Posted 06-26-2018 08:13

    For legacy EX products, you can upgrade directly from any 12.3 to any 15.1.  There is no need, nor any good reason, to go to either 13.x or 14.x for these products.

     

    I have never used J-Web to upgrade, but I do know that upgrades via either CLI or Space (Platform or ND) do work.  My only suggestion is to try this via CLI for some switch or group of switches.  I am also not sure how you are actually performing the upgrade, be it standard method or something like NSSU.  I am actually not sure what options J-Web may have.

     

    Good luck